[theme]
theme = "gruvbox-dark"

[icons]
icons = "awesome6"

[[block]]
block = "time"
interval = 60
[block.format]
full = " $icon $timestamp.datetime(f:'%a %d-%m %R')"
[block.theme_overrides]
idle_fg = "#66D9EF"
idle_bg = "#000000"

[[block]]
block = "time"
interval = 60
timezone = "UTC"
[block.format]
full = " $timestamp.datetime(f:'%R') "
[block.theme_overrides]
idle_fg = "#66D9EF"
idle_bg = "#000000"

[[block]]
block = "cpu"
interval = 5
format = " $icon $utilization $frequency $boost "

[[block]]
block = "memory"
format = " $icon $mem_used/$mem_total ($mem_used_percents) "
interval = 5
warning_mem = 80
critical_mem = 95
[block.theme_overrides]
idle_fg = "#FD9720"
idle_bg = "#000000"

[[block]]
block = "load"
format = " $icon I:$1m W:$5m C:$15m "
interval = 5

[[block]]
block = "disk_space"
info_type = "available"
alert_unit = "GB"
alert = 10.0
warning = 15.0
format = " $icon $available "
format_alt = " $icon $available / $total "

[[block]]
block = "backlight"

[[block]]
block = "battery"
interval = 10
format = " $icon $percentage% $time "

[[block]]
block = "net"
device = "wlp*"
format = " $icon $ssid $signal_strength ^icon_net_down $speed_down.eng(prefix:K) ^icon_net_up $speed_up.eng(prefix:K) $ip "
[[block.click]]
button = "left"
cmd = "iwgtk"
[block.theme_overrides]
idle_fg = "#A6E22D"
idle_bg = "#000000"

[[block]]
block = "sound"
driver = "pulseaudio"
step_width = 2
show_volume_when_muted = true
[[block.click]]
button = "left"
cmd = "pavucontrol"
[block.theme_overrides]
idle_fg = "#66D9EF"

[[block]]
block = "music"
player = "mpd"
format = "$icon {$combo.str(max_w:25,rot_interval:0.5) $play |}"
